"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var getTestEnzymeTemplate = function (componentTemplate, componentName, _a) {
    var useTypescript = _a.useTypescript;
    var extTest = utils_1.getDataBasedOnCondition(useTypescript, "tsx", "jsx");
    var template = utils_1.setTemplate({
        template: componentTemplate,
        fileName: componentName + ".spec." + extTest
    });
    template
        .setTransform({
        from: "TemplateName",
        to: componentName
    })
        .setTransform({
        from: "ext",
        to: "." + extTest
    });
    return template;
};
exports.default = getTestEnzymeTemplate;
