import { ComponentTemplate, SetTemplate, TemplateParams, Transform } from "./types";
declare const transform: (template: ComponentTemplate, context: Transform) => string;
declare const toCorrectName: (str: string) => string;
declare const setTemplate: ({ template, fileName }: TemplateParams) => SetTemplate;
declare const getDataBasedOnCondition: <T, U>(condition: boolean, expectRes: T, defaultRes: U) => T | U;
export { transform, toCorrectName, setTemplate, getDataBasedOnCondition };
